import { Injectable } from '@angular/core';
import { Observable } from 'rxjs/Observable';
import { SensorUnit } from '@business/entity/data';
import { _HttpClient } from '@delon/theme';
import { ResultBean } from '@business/entity/grid';

@Injectable()
export class SensorUnitService {
  private urls = {
    list: 'sensor-unit/gets-bysid',
  };
  constructor(
    private http: _HttpClient
  ) { }
  public getListBySensorId(sensorId: number): Observable<ResultBean<SensorUnit[]>> {    
    return this.http.get( this.urls.list, {  sensorId : sensorId });
  }
}
